extends Camera3D
## Tracks a target

const SMOOTHING := 10.0

@export var target: Node3D


func _process(delta: float) -> void:
	var target_basis := Basis.looking_at(target.global_position - global_position, Vector3.UP)
	global_basis = global_basis.slerp(target_basis, SMOOTHING * delta).orthonormalized()
